Get Clusters

Get Clusters

Api to get clusters for Telco Cloud Automation

Request
URI
GET
https://{api_host}/hybridity/api//infra/k8s/clusters
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Returns clusters

Returns Array of cluster of type(s) application/json
[
    {
        "id": "string",
        "clusterName": "string",
        "clusterType": "string",
        "vsphereClusterName": "string",
        "managementClusterId": "string",
        "hcxUUID": "string",
        "status": "string",
        "activeTasksCount": 0,
        "clusterTemplate": {
            "name": "string",
            "version": "string",
            "id": "string"
        },
        "clusterConfig": {
            "cni": [
                {
                    "name": "string"
                }
            ],
            "csi": [
                {
                    "name": "string",
                    "properties": {
                        "name": "string",
                        "isDefault": false,
                        "serverIP": "string",
                        "mountPath": "string",
                        "datastoreUrl": "string",
                        "timeout": "string"
                    }
                }
            ],
            "kubernetesVersion": "string",
            "tools": [
                {
                    "name": "string",
                    "version": "string"
                }
            ],
            "systemSettings": [
                {
                    "name": "string",
                    "properties": {
                        "host": "string",
                        "port": 0,
                        "protocol": "string"
                    }
                }
            ]
        },
        "clusterId": "string",
        "clusterUrl": "string",
        "kubeConfig": "string",
        "endpointIP": "string",
        "masterNodes": [
            {
                "cpu": 0,
                "memory": 0,
                "name": "string",
                "networks": [
                    {
                        "label": "string",
                        "networkName": "string",
                        "nameservers": [
                            "string"
                        ]
                    }
                ],
                "storage": 0,
                "replica": 0,
                "labels": [
                    "string"
                ],
                "cloneMode": "string"
            }
        ],
        "workerNodes": [
            {
                "cpu": 0,
                "memory": 0,
                "name": "string",
                "networks": [
                    {
                        "label": "string",
                        "networkName": "string",
                        "nameservers": [
                            "string"
                        ]
                    }
                ],
                "storage": 0,
                "replica": 0,
                "labels": [
                    "string"
                ],
                "cloneMode": "string",
                "config": {
                    "cpuManagerPolicy": {
                        "type": "string",
                        "policy": "string",
                        "properties": {
                            "kubeReserved": {
                                "cpu": 0,
                                "memoryInGiB": 0
                            },
                            "systemReserved": {
                                "cpu": 0,
                                "memoryInGiB": 0
                            }
                        }
                    },
                    "healthCheck": {
                        "nodeStartupTimeout": "string",
                        "unhealthyConditions": [
                            {
                                "type": "string",
                                "status": "string",
                                "timeout": "string"
                            }
                        ]
                    }
                }
            }
        ],
        "vimId": "string",
        "error": "string"
    }
]